<?php
/**
 * The List Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

extract($atts);

$lists = $this->parse_group($cs_lists);
if ( empty($lists) ) {
    return '';
}

$this->generate_css();

// Wrapper.
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());
$this->add_render_attribute('wrapper', 'class', 'aheto-list');
$this->add_render_attribute('wrapper', 'class', 'aheto-list--acacio-bullets');

/**
 * Set dependent style
 */
$sc_dir = ACACIO_T_URI . '/aheto/list/';
wp_enqueue_style( 'acacio-list-simple', $sc_dir . 'assets/css/cs_layout1.css', null, null );
?>
<div <?php $this->render_attribute_string('wrapper'); ?>>

    <ul>
        <?php
        foreach ( $lists as $item ) { ?>
            <li>
                <a href="<?php echo esc_url($item['cs_link_url']['url']); ?>">
                    <?php echo wp_kses_post($item['cs_link_text']); ?>
                </a>
            </li>

        <?php }
        ?>
    </ul>

</div>
