<?php
/**
 * The List Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

extract($atts);

$lists = $this->parse_group($lists);
if ( empty($lists) ) {
    return '';
}

$this->generate_css();

// Wrapper.
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());
$this->add_render_attribute('wrapper', 'class', 'aheto-list');
$this->add_render_attribute('wrapper', 'class', 'aheto-list--acacio-unordered');

/**
 * Set dependent style
 */
$sc_dir = ACACIO_T_URI . '/aheto/list/';
wp_enqueue_style( 'acacio-list-simple-unordered-2', $sc_dir . 'assets/css/cs_layout4.css', null, null );
?>
<div <?php $this->render_attribute_string('wrapper'); ?>>

    <ul>
        <?php
        foreach ( $lists as $item ) {
            echo '<li>' . wp_kses_post($item['list']) . '</li>';
        }
        ?>
    </ul>

</div>
