<?php
/**
 * The Acacio Media Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

use Aheto\Helper;

extract($atts);

if ( empty($cs_image) ) {
	return '';
}

$this->generate_css();

// Wrapper.
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute( 'wrapper', 'class', $align );
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());

/**
 * Set dependent style
 */
$sc_dir = ACACIO_T_URI . '/aheto/media/';
wp_enqueue_script( 'acacio-media-simple-scripts', $sc_dir . 'assets/js/cs_layout1.js', array( 'jquery' ), null );


?>
<div <?php $this->render_attribute_string('wrapper'); ?>>
    <div class="aheto-single-img <?php echo esc_attr($align); ?>" data-width='<?php echo esc_attr($cs_max_width_hide['size']) ?>'>
        <?php if ( !empty($cs_image) && isset($cs_image) ) : ?>
            <?php echo \Aheto\Helper::get_attachment( $cs_image, ['class' => 'aheto-single-img__img'], $cs_image_size, $atts, 'cs_' ); ?>
        <?php endif; ?>
	</div>

</div>
