<?php
/**
 * The Progress Bar Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

extract( $atts );

$this->generate_css();

// Wrapper.
$this->add_render_attribute( 'wrapper', 'id', $element_id );
$this->add_render_attribute( 'wrapper', 'class', $this->the_custom_classes() );


/**
 * Set dependent style
 */
/**
 * Set dependent style
 */
$sc_dir = ACACIO_T_URI . '/aheto/progress-bar/';
wp_enqueue_style( 'acacio-numbers', $sc_dir . 'assets/css/cs_layout2.css', null, null );




?>
<div <?php $this->render_attribute_string( 'wrapper' ); ?>>

	<div class="aheto-counter aheto-counter--acacio-classic">

		<?php
		$this->the_icon( 'aheto-counter__icon' );

		// Percentage.
		if ( !empty($cs_numbers) ) {
			echo '<h2 class="aheto-counter__number js-counter">' . absint( $cs_numbers ) . '</h2>';
		}

		// Description.
		if ( !empty($heading) ) {
			echo '<'. $cs_heading_tag .'  class="aheto-counter__heading">' . wp_kses_post( $heading ) . '</' . $cs_heading_tag . '>';
		}
		?>
	</div>

</div>
